TechDraw Symbol/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 40: Line 40:
== Properties ==
== Properties ==


See also [[TechDraw_View#Properties|TechDraw View]].
{{TitleProperty|Base}}

See [[TechDraw_View#Properties|TechDraw View]]

* {{PropertyData|X}}
* {{PropertyData|Y}}
* {{PropertyData|Lock Position}}
* {{PropertyData|Rotation}}
* {{PropertyData|Scale Type}}
* {{PropertyData|Scale}}
* {{PropertyData|Caption}}


{{TitleProperty|Drawing view}}
{{TitleProperty|Drawing view}}

Revision as of 09:43, 11 September 2022

Other languages:

Вставить знак

Системное название
TechDraw_Symbol
Расположение в меню
TechDraw → Вставить SVG знак
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Шаблоны, Draft SVG

Описание

The Symbol tool inserts an SVG file into the page. This symbol can be anything that helps annotating your drawing, and that doesn't need to be further modified.

Compass rose added to the drawing page; this symbol is available by installing the "symbols_library" addon with the Addon Manager

Применение

  1. Press the Insert SVG Symbol button
  2. A File dialog will open.
  3. Select a location and file name.
  4. Press OK

If the symbol appears larger than expected, use the scale property to adjust its size.

Примечания

  • ДанныеScale Type for Symbols is always set to Custom at creation. This is for convenience, since symbols are almost always scaled differently from the rest of the objects on the page.

Properties

See also TechDraw View.

Drawing view

  • ДанныеEditable Texts: List of editable texts, if any.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Symbol tool can be used in macros and from the Python console by using the following functions:

sym = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewSymbol','TestSymbol')
rc = page.addView(anno)
f = open(unicode(symbolFileSpec,'utf-8'),'r')
svg = f.read()
f.close()
sym.Symbol = svg
rc = page.addView(sym)